Bug 1385836 - [abrt] LabPlot: QApplication::notify(): labplot2 killed by SIGSEGV
Summary: [abrt] LabPlot: QApplication::notify(): labplot2 killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LabPlot
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2257f0cc9213fc6923c2431c656...
Keywords: Reopened
Depends On:
Blocks: F25FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-10-17 19:03 UTC by Alexander Ploumistos
Modified: 2017-07-31 18:47 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-08 04:58:41 UTC


Attachments (Terms of Use)
File: backtrace (39.75 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: core_backtrace (85.99 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: dso_list (19.73 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: environ (3.23 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: maps (96.20 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: mountinfo (3.87 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: open_fds (1.11 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-10-17 19:03 UTC, Alexander Ploumistos
no flags Details
File: var_log_messages (296 bytes, text/plain)
2016-10-17 19:04 UTC, Alexander Ploumistos
no flags Details

Description Alexander Ploumistos 2016-10-17 19:03:22 UTC
Description of problem:
I tried to start labplot2 from a terminal.

Version-Release number of selected component:
LabPlot-2.3.0-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        labplot2
crash_function: QApplication::notify
executable:     /usr/bin/labplot2
global_pid:     2313
kernel:         4.7.7-200.fc24.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QApplication::notify at kernel/qapplication.cpp:3013
 #1 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1015
 #2 QCoreApplication::sendEvent at ../../src/corelib/kernel/qcoreapplication.h:225
 #3 QActionPrivate::sendDataChanged at kernel/qaction.cpp:107
 #4 QAction::setChecked at kernel/qaction.cpp:979
 #5 QAction::activate at kernel/qaction.cpp:1160
 #6 KToggleFullScreenAction::eventFilter at /usr/src/debug/kwidgetsaddons-5.26.0/src/ktogglefullscreenaction.cpp:104
 #7 QCoreApplicationPrivate::sendThroughObjectEventFilters at kernel/qcoreapplication.cpp:1126
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3800
 #9 QApplication::notify at kernel/qapplication.cpp:3561

Comment 1 Alexander Ploumistos 2016-10-17 19:03:31 UTC
Created attachment 1211498 [details]
File: backtrace

Comment 2 Alexander Ploumistos 2016-10-17 19:03:33 UTC
Created attachment 1211499 [details]
File: cgroup

Comment 3 Alexander Ploumistos 2016-10-17 19:03:36 UTC
Created attachment 1211500 [details]
File: core_backtrace

Comment 4 Alexander Ploumistos 2016-10-17 19:03:39 UTC
Created attachment 1211501 [details]
File: dso_list

Comment 5 Alexander Ploumistos 2016-10-17 19:03:41 UTC
Created attachment 1211502 [details]
File: environ

Comment 6 Alexander Ploumistos 2016-10-17 19:03:44 UTC
Created attachment 1211503 [details]
File: exploitable

Comment 7 Alexander Ploumistos 2016-10-17 19:03:46 UTC
Created attachment 1211504 [details]
File: limits

Comment 8 Alexander Ploumistos 2016-10-17 19:03:50 UTC
Created attachment 1211505 [details]
File: maps

Comment 9 Alexander Ploumistos 2016-10-17 19:03:52 UTC
Created attachment 1211506 [details]
File: mountinfo

Comment 10 Alexander Ploumistos 2016-10-17 19:03:54 UTC
Created attachment 1211507 [details]
File: namespaces

Comment 11 Alexander Ploumistos 2016-10-17 19:03:56 UTC
Created attachment 1211508 [details]
File: open_fds

Comment 12 Alexander Ploumistos 2016-10-17 19:03:58 UTC
Created attachment 1211509 [details]
File: proc_pid_status

Comment 13 Alexander Ploumistos 2016-10-17 19:04:00 UTC
Created attachment 1211510 [details]
File: var_log_messages

Comment 14 Alexander Ploumistos 2016-10-17 20:38:37 UTC
I can't get LabPlot to start from it's menu shortcut in Mate, or from the Activities Overview in Gnome. I get this in my logs (Mate):

/usr/libexec/gdm-x-session[1680]: kf5.kcoreaddons.kaboutdata: Could not initialize the equivalent properties of Q*Application: no instance (yet) existing.
/usr/libexec/gdm-x-session[1680]: Unknown options: c, a, p, t, i, o, n.

I think there is a problem with this line in labplot2.desktop:
Exec=labplot2 -caption %c %i %f

I can start it from a terminal in Gnome, but in Mate it just crashes. The system freezes up for a little while and I get a core dump. This is in my system journal:

Oct 17 23:02:37 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]
Oct 17 23:02:37 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]
Oct 17 23:02:37 <hostname> audit[6538]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=5 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=6538 comm="labplot2" exe="/usr/bin/labplot2" sig=11
Oct 17 23:02:37 <hostname> kernel: labplot2[6538]: segfault at 7ffe506d6ff8 ip 00007f42951b84d5 sp 00007ffe506d7000 error 6 in libQt5Widgets.so.5.6.1[7f4294f73000+655000]
Oct 17 23:02:37 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]
Oct 17 23:02:38 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]
Oct 17 23:02:38 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]
Oct 17 23:02:38 <hostname> abrt-hook-ccpp[6551]: Process 6538 (labplot2) of user 1000 killed by SIGSEGV - dumping core
Oct 17 23:02:38 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]
Oct 17 23:02:38 <hostname> /usr/libexec/gdm-x-session[5864]: [116B blob data]

(the log is flooded with these [116B blob data] messages)

Other than that, the update and all the new functions work fine.

Comment 15 Alexander Ploumistos 2016-10-17 20:44:17 UTC
(In reply to Alexander Ploumistos from comment #14)
> I think there is a problem with this line in labplot2.desktop:
> Exec=labplot2 -caption %c %i %f

Indeed it should be:
Exec=labplot2 -qwindowtitle %c %i %f

see
https://build.opensuse.org/package/view_file/openSUSE:Leap:42.2/labplot-kf5/fix-desktop-file.patch

Comment 16 Alexander Ploumistos 2016-10-17 20:51:23 UTC
And here are the messages from when I tried to start LabPlot from a terminal under Mate:

$ labplot2
kf5.kcoreaddons.kaboutdata: Could not initialize the equivalent properties of Q*Application: no instance (yet) existing.
kf5.kcoreaddons.kaboutdata: QCoreApplication::organizationDomain "" is out-of-sync with KAboutData::applicationData().organizationDomain "labplot.sourceforge.net"
kf5.kcoreaddons.kaboutdata: QGuiApplication::desktopFileName "" is out-of-sync with KAboutData::applicationData().desktopFileName "net.sourceforge.labplot.labplot2"
Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/22x22/apps/"
Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/16x16/apps/"
Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/32x32/apps/"
Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/48x48/apps/"
Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/24x24/apps/"
Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/256x256/apps/"
Segmentation fault (core dumped)

Comment 17 Mukundan Ragavan 2016-10-18 01:12:59 UTC
This *should* fix the launch from desktop issue. Can you please give this a shot?

http://koji.fedoraproject.org/koji/taskinfo?taskID=16110309


As for mate, this is strange .. I can launch labplot in F25 MATE. Let me look when I am back this weekend (ish).


Thanks for testing.

Comment 18 Alexander Ploumistos 2016-10-18 01:39:58 UTC
Line 44 in your spec file:

sed -i 's/-qwindowtitle %c %i %f//' src/labplot2.desktop

I think you have forgotten the target string. Shouldn't it be
sed -i 's/-caption %c %i %f/-qwindowtitle %c %i %f/' src/labplot2.desktop
?

Take your time, I also have a lot of things to catch up on. I forgot to check if this was a Wayland vs X thing, I'll dig into that - hopefully before the weekend. Btw, does F25 MATE run on Wayland?

Comment 19 Alexander Ploumistos 2016-10-18 16:32:11 UTC
(In reply to Alexander Ploumistos from comment #18)
> Btw, does F25 MATE run on Wayland?

Still runs on X.

I fixed the .desktop file and now it can be launched from the Applications menu in MATE as well as from a terminal, which I found weird. Speaking of weird, the first time I started LabPlot from the menu, it appeared fullscreen, without window decorations. In every consecutive attempt it started fine.

I still get these messages, although I don't know how important they might be:

Oct 18 19:23:04 <hostname> /usr/libexec/gdm-x-session[1541]: kf5.kcoreaddons.kaboutdata: Could not initialize the equivalent properties of Q*Application: no instance (yet) existing.
Oct 18 19:23:04 <hostname> /usr/libexec/gdm-x-session[1541]: kf5.kcoreaddons.kaboutdata: QCoreApplication::organizationDomain "" is out-of-sync with KAboutData::applicationData().organizationDomain "labplot.sourceforge.net"
Oct 18 19:23:04 <hostname> /usr/libexec/gdm-x-session[1541]: kf5.kcoreaddons.kaboutdata: QGuiApplication::desktopFileName "" is out-of-sync with KAboutData::applicationData().desktopFileName "net.sourceforge.labplot.labplot2"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/22x22/apps/"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/16x16/apps/"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/32x32/apps/"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/48x48/apps/"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/24x24/apps/"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Invalid Context= "Apps" line for icon theme:  "/usr/share/icons/Mist/256x256/apps/"
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Could not resolve property : linearGradient5167
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Could not resolve property : linearGradient5167
Oct 18 19:23:05 <hostname> /usr/libexec/gdm-x-session[1541]: Could not resolve property : linearGradient5167
Oct 18 19:23:10 <hostname> /usr/libexec/gdm-x-session[1541]: Could not resolve property : linearGradient5167
Oct 18 19:23:12 <hostname> /usr/libexec/gdm-x-session[1541]: QPainter::setPen: Painter not active

Unless someone else comes forward with some other crash, we can close this as soon as you amend the spec file.

Comment 20 Fedora Update System 2016-11-02 01:13:47 UTC
LabPlot-2.3.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f158654176

Comment 21 Fedora Update System 2016-11-02 01:26:48 UTC
LabPlot-2.3.0-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de071986fc

Comment 22 Fedora Update System 2016-11-02 14:52:47 UTC
LabPlot-2.3.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f158654176

Comment 23 Fedora Update System 2016-11-03 18:30:27 UTC
LabPlot-2.3.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-11-05 03:31:53 UTC
LabPlot-2.3.0-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de071986fc

Comment 25 Fedora Blocker Bugs Application 2016-11-05 22:33:10 UTC
Proposed as a Freeze Exception for 25-final by Fedora user lupinix using the blocker tracking app because:

 LabPlot is installed by default in Fedora Astronomy, the listed bug prevents LabPlot from starting, it would be nice to have a spin without such issues in major applications. The issue has been fixed in LabPlot-2.3.0-6.fc25 https://bodhi.fedoraproject.org/updates/FEDORA-2016-f158654176 so I'm requesting a freeze exception.

Comment 26 Geoffrey Marr 2016-11-08 01:03:11 UTC
Discussed during the 2016-11-07 blocker review meeting: [1]

The decision was made to classify this bug as an AcceptedFreezeException.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-11-07/f25-blocker-review.2016-11-07-17.01.txt

Comment 27 Fedora Update System 2016-11-08 04:58:41 UTC
LabPlot-2.3.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-11-19 17:23:22 UTC
LabPlot-2.3.0-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.